---
sidebar_position: 2
description: Modify table and other functions to work with Airtable in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Airtable]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Modify table
 Changes the name and/or description of the base



`Function ModifyTable(Val Token, Val Base, Val Table, Val Name = "", Val Description = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Base | --base | String | &#x2714; | Base identifier |
  | Table | --table | String | &#x2714; | Table identifier |
  | Name | --title | String | &#x2716; | New name |
  | Description | --description | String | &#x2716; | New description |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Airtable



```bsl title="1C:Enterprise/OneScript code example"
    Token       = "patNn4BXW66Yx3pdj.5b93c53cab554a8387de02d...";
    Base        = "appFSHDVzJPNC6HRO";
    Table       = "tblJkLJDo8Oijuksc";
    Name        = "Test table 2 (change.)";
    Description = "New table (change.)";

    Result = OPI_Airtable.ModifyTable(Token, Base, Table, Name, Description);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint airtable ModifyTable \
             --token "***" \
             --base "app5EEUGKC7EHLcyz" \
             --table "tbl9MIP7k60xewSuH" \
             --title "Test table 2 (change.)" \
             --description "New table (change.)"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint airtable ModifyTable ^
             --token "***" ^
             --base "app5EEUGKC7EHLcyz" ^
             --table "tbl9MIP7k60xewSuH" ^
             --title "Test table 2 (change.)" ^
             --description "New table (change.)"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "id": "tbl9MIP7k60xewSuH",
 "name": "Test table 2 (change.)",
 "description": "New table (change.)",
 "primaryFieldId": "fld59NbisceBcbDru",
 "fields": [
  {
   "id": "fld59NbisceBcbDru",
   "name": "Number",
   "type": "number",
   "options": {
    "precision": 0
   }
  },
  {
   "id": "fldfkkCLQLhSxTGmv",
   "name": "String",
   "type": "richText"
  },
  {
   "id": "fldYmelyechhbTTfo",
   "name": "Attachment",
   "type": "multipleAttachments",
   "options": {
    "isReversed": false
   }
  },
  {
   "id": "fld4wXRHU1wbuvIjd",
   "name": "Checkbox",
   "type": "checkbox",
   "options": {
    "icon": "check",
    "color": "yellowBright"
   }
  },
  {
   "id": "fld9NG1JMdfyPW8vY",
   "name": "Date",
   "type": "date",
   "options": {
    "dateFormat": {
     "name": "iso",
     "format": "YYYY-MM-DD"
    }
   }
  },
  {
   "id": "fldnUMapkErC0czID",
   "name": "Phone",
   "type": "phoneNumber"
  },
  {
   "id": "fldWMYFqtMSiTK3gs",
   "name": "Email",
   "type": "email"
  },
  {
   "id": "fldYcFlOm2COOq9hz",
   "name": "Link",
   "type": "url"
  }
 ],
 "views": [
  {
   "id": "viwlnHWUZO399ze5v",
   "name": "Grid view",
   "type": "grid"
  }
 ]
}
```
